Bug 1083749 - Include missing /usr/share/util-macros/INSTALL
Summary: Include missing /usr/share/util-macros/INSTALL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-util-macros
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-02 21:09 UTC by Dr. Tilmann Bubeck
Modified: 2014-11-19 15:59 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-util-macros-1.19.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 21:58:22 UTC


Attachments (Terms of Use)
Patch to fix SPEC file (1.42 KB, patch)
2014-04-02 21:09 UTC, Dr. Tilmann Bubeck
no flags Details | Diff

Description Dr. Tilmann Bubeck 2014-04-02 21:09:24 UTC
Created attachment 882010 [details]
Patch to fix SPEC file

Description of problem:
The SPEC file deletes INSTALL from /usr/share/util-macros/ which is therefore missing from the RPM file. However, this file is needed by the macros of this package, as you can see in /usr/share/aclocal/xorg-macros.m4 line 1773 and following:

# Defines the variable INSTALL_CMD as the command to copy
# INSTALL from $prefix/share/util-macros.

This missing file breaks the macro XORG_INSTALL which is used by many xorg modules.

Version-Release number of selected component (if applicable):
any since, 1.10.0-2 which introduced the removal

How reproducible:
always

Steps to Reproduce:
1. git clone git://anongit.freedesktop.org/xorg/app/xauth
2. cd xauth
3. ./autogen
4. make
5. make distcheck > /dev/null

Actual results:
cp: cannot stat ‘/usr/share/util-macros/INSTALL’: No such file or directory
util-macros "pkgdatadir" from xorg-macros.pc not found: installing possibly empty INSTALL.


Expected results:
[no output]

Additional info:
Please find attached a patch for the spec file, which fixes the problem.

Comment 1 Hans de Goede 2014-07-03 20:32:10 UTC
About the patch you've attached here, this bit is wrong:

 %doc COPYING ChangeLog
 %{_datadir}/aclocal/xorg-macros.m4
 %{_datadir}/pkgconfig/xorg-macros.pc
+%{_datadir}/util-macros/INSTALL
 

You don't own %{_datadir}/util-macros here, so after a "rpm -e ..." there will be an orphan /usr/share/util-macros be left behind.

Instead you should use:

%{_datadir}/util-macros

Which will put the dir (including dir ownership) and all the files beneath it in the rpm.

If you can respin the patch (please also update the changelog date, I'll apply it while we see if we can get you commit rights.

Comment 2 Fedora Update System 2014-07-05 14:19:16 UTC
xorg-x11-util-macros-1.17.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-util-macros-1.17.1-3.fc20

Comment 3 Fedora Update System 2014-07-06 00:55:00 UTC
Package xorg-x11-util-macros-1.17.1-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xorg-x11-util-macros-1.17.1-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8124/xorg-x11-util-macros-1.17.1-3.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-30 21:58:22 UTC
xorg-x11-util-macros-1.17.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-10-06 15:23:09 UTC
xorg-x11-util-macros-1.19.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xorg-x11-util-macros-1.19.0-3.fc20

Comment 6 Fedora Update System 2014-11-19 15:59:15 UTC
xorg-x11-util-macros-1.19.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.